%bcond_with perl_IO_All_enables_optional_test
%bcond_with perl_IO_All_enables_extra_test
%bcond_with ReadBackwards
%bcond_without MimeInfo

Summary:        IO::All Perl module
Name:           perl-IO-All
Version:        0.87
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-All
Source0:        https://cpan.metacpan.org/authors/id/F/FR/FREW/IO-All-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp) perl(Cwd) perl(Fcntl) perl(File::Copy) perl(warnings)
BuildRequires:  perl(File::Glob) perl(File::Path) perl(File::Spec) perl(IO::Dir)
BuildRequires:  perl(IO::File) perl(IO::Handle) perl(IO::Socket) perl(overload)
BuildRequires:  perl(POSIX) perl(Scalar::Util) perl(strict) perl(Symbol) perl(Tie::File)
BuildRequires:  perl(base) perl(Config) perl(Data::Dumper) perl(diagnostics) perl(Exporter)
BuildRequires:  perl(File::Find) perl(File::Spec::Functions) perl(File::Temp) perl(FindBin)
BuildRequires:  perl(IO::Socket::INET) perl(lib) perl(Test::More) >= 0.88 perl(utf8) perl(vars)
%if %{with perl_IO_All_enables_optional_test}
BuildRequires:  perl(PerlIO::encoding)
%endif
%if %{with perl_IO_All_enables_extra_test}
BuildRequires:  perl(Test::Pod) >= 1.41
%endif
%if %{with ReadBackwards}
BuildRequires:  perl(File::ReadBackwards)
Requires: perl(File::ReadBackwards)
%endif
%if %{with MimeInfo}
BuildRequires:   perl(File::MimeInfo)
Requires:       perl(File::MimeInfo)
%endif

Requires:        perl(File::Copy)
Requires:       perl(File::Path) perl(IO::Handle)
Requires:       perl(Tie::File) perl(warnings)

%description
The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File, File::Spec, File::Path and File::ReadBackwards; as
well as all the DBM and MLDBM modules. You can use most of the methods
found in these classes and in IO::Handle (which they inherit from). IO::All
adds dozens of other helpful idiomatic methods including file stat and
manipulation functions.

%prep
%autosetup -n IO-All-%{version}
find -type f -perm /0100 -name '*.pm' -exec chmod -c a-x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
%if %{with perl_IO_All_enables_extra_test}
RELEASE_TESTING=1
%else
unset RELEASE_TESTING
%endif
%make_build test

%files
%license LICENSE
%doc Changes CONTRIBUTING README example/
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::All.3*
%{_mandir}/man3/IO::All::DBM.3*
%{_mandir}/man3/IO::All::Dir.3*
%{_mandir}/man3/IO::All::File.3*
%{_mandir}/man3/IO::All::Filesys.3*
%{_mandir}/man3/IO::All::Link.3*
%{_mandir}/man3/IO::All::MLDBM.3*
%{_mandir}/man3/IO::All::Pipe.3*
%{_mandir}/man3/IO::All::STDIO.3*
%{_mandir}/man3/IO::All::Socket.3*
%{_mandir}/man3/IO::All::String.3*
%{_mandir}/man3/IO::All::Temp.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.87-6
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.87-5
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.87-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.87-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 23 2023 cunshunxia <cunshunxia@tencent.com> - 0.87-2
- enable Memeinfo.

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.87-1
- initial build
